Subject: ipv4 and ipv6 Coexistence.

From: Khaled Omar <[email-masked]>
Date: Wed, 19 Feb 2020 14:27:42 +0000

Hi,

Just a quick question as it is long time since I didn't keep track of the new IETF work, but from what I see in the real world, I would like to make this question here.

Is there any "new" solution that became a standard or in the standard track for the IPv4 depletion problem that will allow IPv4 and IPv6 to coexist and communicate to each other's in a peaceful way without any complications?

>From what I see in the real world, IPv4 still dominating and almost nobody started using IPv6, and also, I didn't find any solution applied practically in today's networks for this issue.

All what I can see is begging people to move to IPv6.

Best Regards,

Khaled Omar

---

From: Christopher Morrow <[email-masked]>
Date: Wed, 19 Feb 2020 11:50:44 -0500

On Wed, Feb 19, 2020 at 9:28 AM Khaled Omar <[email-masked]> wrote:

>
> From what I see in the real world, IPv4 still dominating and almost nobody started using IPv6, and also, I didn’t find any solution applied practically in today’s networks for this issue.
>

I don't think it's accurate to say: "almost nobody started using ipv6"

https://www.internetsociety.org/resources/2018/state-of-ipv6-deployment-2018/

these numbers are ~2yrs old... but 25% is not "almost nobody".

---

From: Khaled Omar <[email-masked]>
Date: Wed, 19 Feb 2020 17:01:13 +0000

>> I don't think it's accurate to say: "almost nobody started using ipv6"

Yes it is inaccurate, but I say this from my experience and my point of view.

But even the percentage shown in the mentioned website doesn't makes us optimistic, because it took long time and we didn't feel any problem during that time because IPv4 was still available, but now after the depletion, the problem will start to be clear and visible for all.

Regards,

Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Wed, 19 Feb 2020 17:34:57 +0000

>> these numbers are ~2yrs old... but 25% is not "almost nobody".

Actually, devilations in percentages makes things worse, some think it is 25% others think it is 30% others think no IPv6 at all :) and all these percentages are incorrect because only one thing can make it clear, to find an official solution announced for everybody stating that what should we do in such situation.

Best Regards,

Khaled Omar

---

From: Christopher Morrow <[email-masked]>
Date: Wed, 19 Feb 2020 13:09:13 -0500

> Actually, devilations in percentages makes things worse, some think it is 25% others think it is 30% others think no IPv6 at all :) and all these percentages are incorrect because only one thing ca…

Perhaps you are arguing about your perspective:
  "My network/isp and there for things I poke at are ipv4 only"

sure.

But the rest of the world really has moved along to deploying ipv6.
Mobile networks are largely moving entirely to v6 with nat64 things to
get access to legacy-ip resources.
Content folk largely provide both v4/v6 endpoints for all of their resources.

Some consumer ISPs are making v6 the  norm, others are foot-draggers.

-chris

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 19 Feb 2020 13:10:55 -0500

Quite a few folk are already there - see https://www.google.com/intl/en/ipv6/statistics.html

Scott

---

From: Khaled Omar <[email-masked]>
Date: Wed, 19 Feb 2020 18:37:45 +0000

Since long time I was observing this, still almost the same, no clear progress occurred.

Thanks,

Khaled Omar

-----Original Message-----
From: Scott O. Bradner <[email-masked]> 
Sent: Wednesday, February 19, 2020 8:11 PM
To: Khaled Omar <[email-masked]>
Cc: IETF Rinse Repeat <[email-masked]>
Subject: Re: ipv4 and ipv6 Coexistence.

Scott

---

From: Erik Nygren <[email-masked]>
Date: Wed, 19 Feb 2020 13:42:40 -0500

It really is a composite story of individual ISPs, devices, and content.
Some stats I published two years ago from the perspective of one CDN:
https://blogs.akamai.com/2018/06/six-years-since-world-ipv6-launch-entering-the-majority-phases.html

and things have grown since.  For example, Akamai just peaked at 21 Tbps of
global IPv6 traffic delivered:
https://blogs.akamai.com/2020/02/at-21-tbps-reaching-new-levels-of-ipv6-traffic.html

During a peak like that, some large countries and customers
can see a majority of traffic being IPv6.  You can see some of the wide
variation between ISPs here:

https://www.akamai.com/us/en/resources/our-thinking/state-of-the-internet-report/state-of-the-internet-ipv6-adoption-visualization.jsp#networks

(There are also a few consumer electronics devices holding the numbers down
in large residential networks.)

         Erik

On Wed, Feb 19, 2020 at 12:35 PM Khaled Omar <[email-masked]>
wrote:

> Actually, devilations in percentages makes things worse, some think it is
> 25% others think it is 30% others think no IPv6 at all :) and all these
> percentages are incorrect because only one thing can make it clear, to find
> an official solution announced for everybody stating that what should we do
> in such situation.
>
> Best Regards,
>
> Khaled Omar
>
> > From what I see in the real world, IPv4 still dominating and almost
> nobody started using IPv6, and also, I didn’t find any solution applied
> practically in today’s networks for this issue.
> >
>

---

From: Khaled Omar <[email-masked]>
Date: Wed, 19 Feb 2020 18:50:54 +0000

Ok, I think I got the answer for my question, don’t want to waste your time.

Waiting and watching for a better solution to be applied practically.

Khaled Omar

From: Erik Nygren <[email-masked]>
Sent: Wednesday, February 19, 2020 8:43 PM
To: Khaled Omar <[email-masked]>
Cc: Christopher Morrow <[email-masked]>; IETF Rinse Repeat <[email-masked]>
Subject: Re: ipv4 and ipv6 Coexistence.

and things have grown since.  For example, Akamai just peaked at 21 Tbps of global IPv6 traffic delivered:
https://blogs.akamai.com/2020/02/at-21-tbps-reaching-new-levels-of-ipv6-traffic.html

         Erik

Best Regards,

Khaled Omar

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 19 Feb 2020 22:05:22 +0000

IPv6 deployment takes indeed longer than most of us had hoped for...

In several countries, more than half of the Internet users use IPv6 daily (less in enterprise deployment). ISPs in my country, Belgium, see between 30% to 40% of their traffic being IPv6 (mainly to the big content providers).

Khaled, I will anyway follow your advice and won’t waste my time anymore on this thread ;-)

Regards and thank you for your interest in keeping the Internet up and running

-éric

From: ietf <[email-masked]> on behalf of Khaled Omar <[email-masked]>
Date: Wednesday, 19 February 2020 at 19:51
To: Erik Nygren <[email-masked]>
Cc: IETF Rinse Repeat <[email-masked]>
Subject: RE: ipv4 and ipv6 Coexistence.

Khaled Omar

         Erik

Best Regards,

Khaled Omar

---

From: David Farmer <[email-masked]>
Date: Wed, 19 Feb 2020 16:34:20 -0600

Ignoring the discussion about IPv6 adoption (or lack thereof) and answering
the question about coexistence;

NAT64 frequently coupled with DNS64 is the primary mechanism for
coexistence between IPv4 and IPv6, see the following as a starting point;

RFC6144 - Framework for IPv4/IPv6 Translation
RFC6146 - Stateful NAT64: Network Address and Protocol Translation from
IPv6 Clients to IPv4 Servers
RFC7755 - SIIT-DC: Stateless IP/ICMP Translation for IPv6 Data Center
Environments - for IPv4 Client to IPv6 Servers

Hope this helps.

On Wed, Feb 19, 2020 at 8:27 AM Khaled Omar <[email-masked]>
wrote:

> Hi,
>
>
>
> Just a quick question as it is long time since I didn’t keep track of the
> new IETF work, but from what I see in the real world, I would like to make
> this question here.
>
>
>
> Is there any “new” solution that became a standard or in the standard
> track for the IPv4 depletion problem that will allow IPv4 and IPv6 to
> coexist and communicate to each other’s in a peaceful way without any
> complications?
>
>
>
> From what I see in the real world, IPv4 still dominating and almost nobody
> started using IPv6, and also, I didn’t find any solution applied
> All what I can see is begging people to move to IPv6..
>
>
>
> Best Regards,
>
>
>
> Khaled Omar
>

-- 
===============================================
David Farmer               Email:[email-masked]
Networking & Telecommunication Services
Office of Information Technology
University of Minnesota
2218 University Ave SE        Phone: 612-626-0815
Minneapolis, MN 55414-3029   Cell: 612-812-9952
===============================================

---

From: Khaled Omar <[email-masked]>
Date: Wed, 19 Feb 2020 22:43:15 +0000

>> Khaled, I will anyway follow your advice and won’t waste my time anymore on this thread ;-)

Yes, hoping a solution will come from anywhere to solve this issue.

From: Eric Vyncke (evyncke) <[email-masked]>
Sent: Thursday, February 20, 2020 12:05 AM
To: Khaled Omar <[email-masked]>; Erik Nygren <[email-masked]>
Cc: IETF Rinse Repeat <[email-masked]>
Subject: Re: ipv4 and ipv6 Coexistence.

-éric

From: ietf <[email-masked]<mailto:[email-masked]>> on behalf of Khaled Omar <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 19 February 2020 at 19:51
To: Erik Nygren <[email-masked]<mailto:[email-masked]>>
Cc: IETF Rinse Repeat <[email-masked]<mailto:[email-masked]>>
Subject: RE: ipv4 and ipv6 Coexistence.

Khaled Omar

From: Erik Nygren <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, February 19, 2020 8:43 PM
To: Khaled Omar <[email-masked]<mailto:[email-masked]>>
Cc: Christopher Morrow <[email-masked]<mailto:[email-masked]>>; IETF Rinse Repeat <[email-masked]<mailto:[email-masked]>>
Subject: Re: ipv4 and ipv6 Coexistence.

         Erik

Best Regards,

Khaled Omar

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 20 Feb 2020 11:00:58 +1100

And you're missing several points about how those stats are looked at.

The % in the stats shown by google/others is only what they can measure, but they can't measure *all*. There are countries (big ones) that don't allow measurements, or at least the same level of details, and however, are doing massive IPv6 deployments.

All the CDNs and caches have IPv6. The customers that have those caches and enable IPv6 for their subscribers, are getting ranges over 65%, sometimes even up to 85-90% of IPv6 traffic when mainly the subscribers are householders instead of big enterprises.

Also, the google (and others) measurements, show average worldwide, but if you look to many countries they have even surpassed the 50% or so.

Regards,
Jordi
@jordipalet

El 20/2/20 5:38, "ietf en nombre de Khaled Omar" <[email-masked] en nombre de [email-masked]> escribió:

    Thanks,
    
    Khaled Omar
    
    -----Original Message-----
    From: Scott O. Bradner <[email-masked]> 
    Sent: Wednesday, February 19, 2020 8:11 PM
    To: Khaled Omar <[email-masked]>
    Cc: IETF Rinse Repeat <[email-masked]>
    Subject: Re: ipv4 and ipv6 Coexistence.

    Scott

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 20 Feb 2020 00:32:45 +0000

Regardless the different %s, lets take the average one, it can not make us optimistic and stop thinking about a better solution, we should learn from the long time passed without full migration occured, if we will wait till that happens, the division will occur which is not good for the internet, lets welcome new ideas and give it the space, time, and opportunity fairly, if it will be good then welcome, if not, trash is made for this.

Get Outlook for Android<https://aka.ms/ghei36>

________________________________
From: ietf <[email-masked]> on behalf of JORDI PALET MARTINEZ <jordi.palet=[email-masked]>
Sent: Thursday, February 20, 2020 2:00:58 AM
To: IETF Rinse Repeat <[email-masked]>
Subject: Re: ipv4 and ipv6 Coexistence.

Regards,
Jordi
@jordipalet

    Thanks,

    Khaled Omar

    -----Original Message-----
    From: Scott O. Bradner <[email-masked]>
    Sent: Wednesday, February 19, 2020 8:11 PM
    To: Khaled Omar <[email-masked]>
    Cc: IETF Rinse Repeat <[email-masked]>
    Subject: Re: ipv4 and ipv6 Coexistence.

    Scott

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 20 Feb 2020 12:00:42 +1100

There is no such migration, it is transition and coexistence, and if you think in how much took to reach the actual IPv4 levels of penetration, it still makes sense. We are in the right path.

Anything else that we could try, will mean wasting more time and resources and money from those that already moved to IPv6 or are in their way, that we don’t have.

Regards,

Jordi

@jordipalet

El 20/2/20 11:33, "ietf en nombre de Khaled Omar" <[email-masked] en nombre de [email-masked]> escribió:

Get Outlook for Android

Regards,
Jordi
@jordipalet

    
    Thanks,
    
    Khaled Omar
    
    -----Original Message-----
    From: Scott O. Bradner <[email-masked]> 
    Sent: Wednesday, February 19, 2020 8:11 PM
    To: Khaled Omar <[email-masked]>
    Cc: IETF Rinse Repeat <[email-masked]>
    Subject: Re: ipv4 and ipv6 Coexistence.

    Scott

---

From: Khaled Omar <[email-masked]>
Date: Thu, 20 Feb 2020 01:18:16 +0000

I don't agree with this, transition means to move from something to another thing, the end result is full migration.

Coexistence is a matter of time until full migration occurs, but as we don't know how long this will take, we must find a solution to let them coexist peacfully, as we cannot force people to move to IPv6, just to increase their awareness, and they have the right to accept or refuse, regarding IPv10, i think it didn't take the claimed opportunity either in the meeting or the mailing list, what i expected is to discuss it fairly, listen to the good voices, and then check the consensus, if yes, lets make it, if no, do we have another alternative, if yes, bye IPv10, if no, then lets make the best format of it and apply.

Sent: Thursday, February 20, 2020 3:00:42 AM

Regards,

Jordi

@jordipalet

El 20/2/20 11:33, "ietf en nombre de Khaled Omar" <[email-masked]<mailto:[email-masked]> en nombre de [email-masked]<mailto:[email-masked]>> escribió:

Regards,
Jordi
@jordipalet

    Thanks,

    Khaled Omar

    -----Original Message-----
    From: Scott O. Bradner <[email-masked]>
    Sent: Wednesday, February 19, 2020 8:11 PM
    To: Khaled Omar <[email-masked]>
    Cc: IETF Rinse Repeat <[email-masked]>
    Subject: Re: ipv4 and ipv6 Coexistence.

    Scott

---

From: Mark Andrews <[email-masked]>
Date: Thu, 20 Feb 2020 12:26:28 +1100

Really we do not need to be inventing anything new in this space.
We already have too many mechanisms.  ISPs just need to DEPLOY the
existing mechanism.

We have plain dual stack.

We have public IPv4 + 6rd for ISPs where the access network doesn’t
support IPv6.

We have CGN + 6RD + 100.64/10 for ISPs where the access network doesn’t
support IPv6 and they have run out of IPv4 space.

We have DS-Lite, MAP-E, MAP-T, NAT64 … providing IPV4AAS for when the ISP
has run out of IPv4 and the access network supports IPv6.

We have CGN + IPv6.

Do we really need something more at the protocol level?

We do need Governments to ban the selling of new IPv4-only domestic
devices (CPE routers, TV’s, game boxes, etc.).

Mark

> On 20 Feb 2020, at 11:32, Khaled Omar <[email-masked]> wrote:
> 

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742              INTERNET: [email-masked]

---

From: Khaled Omar <[email-masked]>
Date: Thu, 20 Feb 2020 01:37:56 +0000

Don't depend on governments, do all what you can do and leave the result which is out of your hand, technology companies can solve this if there is a consensus, sorry to tell you that none of the mentiond solutions are widely deployed, so what, we should give up and wait, if yes, then who think this way shouldn't be here, because this IETF is intended for making the internet better, not to watch it drowing.

________________________________
From: Mark Andrews <[email-masked]>
Sent: Thursday, February 20, 2020 3:26:28 AM
To: Khaled Omar <[email-masked]>
Cc: IETF Rinse Repeat <[email-masked]>; JORDI PALET MARTINEZ <jordi.palet=[email-masked]>
Subject: Re: ipv4 and ipv6 Coexistence.

We have CGN + IPv6.

Mark

---

From: John C Klensin <[email-masked]>
Date: Wed, 19 Feb 2020 21:18:36 -0500

--On Thursday, February 20, 2020 12:26 +1100 Mark Andrews
<[email-masked]> wrote:

> Really we do not need to be inventing anything new in this
> space. We already have too many mechanisms.  ISPs just need to
> DEPLOY the existing mechanism.
>...
>...

Mark, I'm with you up to your comment below.  There are days on
which I think that the number of choices of mechanisms and
methods we have available have become part of the problem,
perhaps because they encourage those who are inclined to
procrastinate to wait for a clear winner (whatever that means).
For any proposed new mechanism, I think we should expect to see
economic arguments as to why it will succeed, deploy, and not
create more confusion and interoperability difficulties before
we are expected to analyze the technical details of the proposal.

However...

> We do need Governments to ban the selling of new IPv4-only
> domestic devices (CPE routers, TV's, game boxes, etc.).

We have been there and seen that or variations on it tried.  In
some alternate reality, the last attempts were so successful
that TCP/IP and all other competing solutions died out, leaving
the world running entirely on an updated version of the OSI
stack (either connectionless or connection mode) today.  In the
reality in which we (or most of us) actually live, government
attempts to advance networking by requiring some technologies
and banning others mostly lead to technological paralysis and
increased costs for all concerned.

best,
    john

---

From: Victor Kuarsingh <[email-masked]>
Date: Wed, 19 Feb 2020 21:29:43 -0500

The sad reality is anyone whom is responsible to build, expand or manage a
network needs to deal with the IPv4 long tail connectivity needs.

I would agree with Mark's comment related to the notion we have enough
transition technologies today.  As far as I can see, anyone who needed to
deploy IPv6 and/or create a pathway to legacy IPv4 has been able to do so
(perhaps there are corner cases, but I would say for the vast majority,
they could do what they needed to do).

As for the governments intervening, I am not so sure about that, but I am
not opposed (just don't think it will work). Bureaucracy rarely solves what
turns out to be a fundamental market problem.

regards,

Victor K

On Wed, Feb 19, 2020 at 8:27 PM Mark Andrews <[email-masked]> wrote:

> > Regardless the different %s, lets take the average one, it can not make
> us optimistic and stop thinking about a better solution, we should learn
> from the long time passed without full migration occured, if we will wait
> till that happens, the division will occur which is not good for the
> internet, lets welcome new ideas and give it the space, time, and
> opportunity fairly, if it will be good then welcome, if not, trash is made
> for this.
> >
> > Get Outlook for Android
> >
> > From: ietf <[email-masked]> on behalf of JORDI PALET MARTINEZ
> <jordi.palet=[email-masked]>
> > The % in the stats shown by google/others is only what they can measure,
> but they can't measure *all*. There are countries (big ones) that don't
> allow measurements, or at least the same level of details, and however, are
> doing massive IPv6 deployments.
> >
> > All the CDNs and caches have IPv6. The customers that have those caches
> and enable IPv6 for their subscribers, are getting ranges over 65%,
> sometimes even up to 85-90% of IPv6 traffic when mainly the subscribers are
> householders instead of big enterprises.
> >
> > Also, the google (and others) measurements, show average worldwide, but
> if you look to many countries they have even surpassed the 50% or so.
> >
> > Regards,
> > Jordi
> > @jordipalet
> >
> >
> >
> > El 20/2/20 5:38, "ietf en nombre de Khaled Omar" <[email-masked]
> en nombre de [email-masked]> escribió:
> >
> >     Quite a few folk are already there - see
> https://www.google.com/intl/en/ipv6/statistics.html
> >
> >     Scott
> >
> >
> >
> >
> >
> > This electronic message contains information which may be privileged or
> confidential. The information is intended to be for the exclusive use of
> the individual(s) named above and further non-explicilty authorized
> disclosure, copying, distribution or use of the contents of this
> information, even if partially, including attached files, is strictly
> prohibited and will be considered a criminal offense. If you are not the
> intended recipient be aware that any disclosure, copying, distribution or
> use of the contents of this information, even if partially, including
> attached files, is strictly prohibited, will be considered a criminal
> offense, so you must reply to the original sender to inform about this
> communication and delete it.
> >
> >
> >
>
> --
> Mark Andrews, ISC

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 20 Feb 2020 13:42:17 +1100

Exactly, and full migration can only happen in several years.

At the moment, the best way to keep apps working without disruption, is to keep dual stack in the customer LANs.

We can do 464XLAT to keep IPv6-only in most of the ISP network.

DataCenters can choose to be dual-stacked or IPv6-only with mechanisms such as SIIT-DC.

All that is working already, and it works very well.

How many networks do you operate or you developed for customers? How many networks have you transitioned to IPv6? May be if you provide information about that, we can undestand why you got a different impression than the rest of the world.

Regards,

Jordi

@jordipalet

El 20/2/20 12:19, "ietf en nombre de Khaled Omar" <[email-masked] en nombre de [email-masked]> escribió:

Get Outlook for Android

Regards,

Jordi

@jordipalet

Get Outlook for Android

Regards,
Jordi
@jordipalet

    
    Thanks,
    
    Khaled Omar
    
    -----Original Message-----
    From: Scott O. Bradner <[email-masked]> 
    Sent: Wednesday, February 19, 2020 8:11 PM
    To: Khaled Omar <[email-masked]>
    Cc: IETF Rinse Repeat <[email-masked]>
    Subject: Re: ipv4 and ipv6 Coexistence.

    Scott

---

From: Khaled Omar <[email-masked]>
Date: Thu, 20 Feb 2020 02:45:19 +0000

What i meant is that if you have nothing to add then don't stop what others are trying to do, keep working on what you are trying to do even if it didn't work for long time but you believe on it, but as long as our one goal is to find a solution then the end result will be good for all ones leaving the stoppers aside.

________________________________
From: Victor Kuarsingh <[email-masked]>
Sent: Thursday, February 20, 2020 4:29:43 AM
To: Mark Andrews <[email-masked]>
Cc: Khaled Omar <[email-masked]>; IETF Rinse Repeat <[email-masked]>; JORDI PALET MARTINEZ <jordi.palet=[email-masked]>
Subject: Re: ipv4 and ipv6 Coexistence.

 The sad reality is anyone whom is responsible to build, expand or manage a network needs to deal with the IPv4 long tail connectivity needs.

I would agree with Mark's comment related to the notion we have enough transition technologies today.  As far as I can see, anyone who needed to deploy IPv6 and/or create a pathway to legacy IPv4 has been able to do so (perhaps there are corner cases, but I would say for the vast majority, they could do what they needed to do).

As for the governments intervening, I am not so sure about that, but I am not opposed (just don't think it will work). Bureaucracy rarely solves what turns out to be a fundamental market problem.

regards,

Victor K

On Wed, Feb 19, 2020 at 8:27 PM Mark Andrews <[email-masked]<mailto:[email-masked]>> wrote:
Really we do not need to be inventing anything new in this space.
We already have too many mechanisms.  ISPs just need to DEPLOY the
existing mechanism.

We have CGN + IPv6.

Mark

> On 20 Feb 2020, at 11:32, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
>
> From: ietf <[email-masked]<mailto:[email-masked]>> on behalf of JORDI PALET MARTINEZ <jordi.palet=[email-masked]<mailto:[email-masked]>>
> To: IETF Rinse Repeat <[email-masked]<mailto:[email-masked]>>
> El 20/2/20 5:38, "ietf en nombre de Khaled Omar" <[email-masked]<mailto:[email-masked]> en nombre de [email-masked]<mailto:[email-masked]>> escribió:
>
>     From: Scott O. Bradner <[email-masked]<mailto:[email-masked]>>

--
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742              INTERNET: [email-masked]<mailto:[email-masked]>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 20 Feb 2020 13:47:52 +1100

At some point some degree of government involvement is needed. For example:

Now: Governments should not buy anything that doesn’t support IPv6. They manage public resources, and it will be against our taxes, if they buy any service, transit, hardware or software that doesn’t work today in dual-stack and tomorrow as IPv6-only.
Next future: Governments have the obligation to protect consumers. Example: When DTV is setup in every country, governments ban after some time, importing/manufacturing/selling products that don’t support DTV, otherwise consumers are cheated. At some point, in countries where the industry/retails are not moving by themselves, some governments may need to take similar decisions with IPv4-only products.

Regards,

Jordi

@jordipalet

El 20/2/20 13:30, "ietf en nombre de Victor Kuarsingh" <[email-masked] en nombre de [email-masked]> escribió:

As for the governments intervening, I am not so sure about that, but I am not opposed (just don't think it will work). Bureaucracy rarely solves what turns out to be a fundamental market problem.. 

regards,

Victor K

We have CGN + IPv6.

Mark

---

From: Khaled Omar <[email-masked]>
Date: Thu, 20 Feb 2020 02:54:47 +0000

This involvment is not our responsibility, we try our best on what we are able to do and if we can convince a government for what we need then it will be good but still out of our hands. Why to depend on others if we can depend on ourselves.

Sent: Thursday, February 20, 2020 4:47:52 AM

  1.  Now: Governments should not buy anything that doesn’t support IPv6. They manage public resources, and it will be against our taxes, if they buy any service, transit, hardware or software that doesn’t work today in dual-stack and tomorrow as IPv6-only.
  2.  Next future: Governments have the obligation to protect consumers. Example: When DTV is setup in every country, governments ban after some time, importing/manufacturing/selling products that don’t support DTV, otherwise consumers are cheated. At some point, in countries where the industry/retails are not moving by themselves, some governments may need to take similar decisions with IPv4-only products.

Regards,

Jordi

@jordipalet

El 20/2/20 13:30, "ietf en nombre de Victor Kuarsingh" <[email-masked]<mailto:[email-masked]> en nombre de [email-masked]<mailto:[email-masked]>> escribió:

regards,

Victor K

We have CGN + IPv6.

Mark

> On 20 Feb 2020, at 11:32, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
>
> Also, the google (and others) measurements, show average worldwide, but if you look to many countries they have even surpassed the 50% or so..
>
> Regards,
> Jordi
> @jordipalet
>
>
>
> El 20/2/20 5:38, "ietf en nombre de Khaled Omar" <[email-masked]<mailto:[email-masked]> en nombre de [email-masked]<mailto:[email-masked]>> escribió:
>

---

From: Victor Kuarsingh <[email-masked]>
Date: Wed, 19 Feb 2020 22:06:14 -0500

Khaled,

I am certainly not intending to stop anyone from inventing anything or
working on things.  I am just sharing an opinion based on experience.

We have historical experience that seems to indicate that a
one-size-fits-all approach is difficult for a number of technical and
operational reasons.  The Internet is a highly distributed system where
each network operator gets to decide for themselves what they need and
want.  I am also yet to see any two networks which manifest
identical requirements.  So any attempt to convince everyone to adopt an
all-in-one solution will likely be difficult to apply to all uses cases or
the general use case.

There has been a long list of transition technologies developed, none of
which fit all uses cases which is likely ok.    The largest barrier I see
at this point, which will apply to those slow to adopt IPv6, and have
anyone who has already enabled a transition technology, is cost
(economics).  Any solution which requires people to re-invest money (even
if a new solution is better) will likely be met with opposition given
competing requirements and opportunity cost.

To exemplify, if I was an operator who enabled transition technology X
which operated moderately well.  If presented with the option to enable a
new technology Y, which is definitely better, but would bare significant
deployment time and costs, I would likely not action it since I would be
giving up an opportunity to spend that time and money on other functions.

For those whom have not enabled IPv6 yet, there may be some economic or
other practical reason to overcome to get them to adopt a solution.

regards,

Victor K

On Wed, Feb 19, 2020 at 9:45 PM Khaled Omar <[email-masked]>
wrote:

> What i meant is that if you have nothing to add then don't stop what
> others are trying to do, keep working on what you are trying to do even if
> it didn't work for long time but you believe on it, but as long as our one
> goal is to find a solution then the end result will be good for all ones
> leaving the stoppers aside.
>
> Get Outlook for Android <https://aka.ms/ghei36>
>
> ------------------------------
> *From:* Victor Kuarsingh <[email-masked]>
> *Sent:* Thursday, February 20, 2020 4:29:43 AM
> *To:* Mark Andrews <[email-masked]>
> *Cc:* Khaled Omar <[email-masked]>; IETF Rinse Repeat <
> [email-masked]>; JORDI PALET MARTINEZ <jordi.palet=
> [email-masked]>
> *Subject:* Re: ipv4 and ipv6 Coexistence.
>
>  The sad reality is anyone whom is responsible to build, expand or manage
> a network needs to deal with the IPv4 long tail connectivity needs.
>

---

From: Victor Kuarsingh <[email-masked]>
Date: Wed, 19 Feb 2020 22:17:57 -0500

Jordi,

As noted, I am not opposed, but think that it may not be a clear cut.

For your item 1, I guess that could work, but in the case where there is a
service which may be absolutely needed, and if not available on IPv6, would
a given government be willing to cause harm in pursuit of a preference or
long term agenda?

For item 2, good points except - however in the case of iPv4 and IPv6 as it
applies to global networking,  it may be more nuanced than, DTV and
therefore not as clear cut.

Please note, I am a firm supporter of IPv6 deployments and have led
deployment initiatives in multiple networks.  I am definitely in the choir,
but I also look at things from a practical angle.

regards,

Victor K

On Wed, Feb 19, 2020 at 9:49 PM JORDI PALET MARTINEZ <jordi.palet=
[email-masked]> wrote:

>    1. Now: Governments should not buy anything that doesn’t support IPv6.
>    They manage public resources, and it will be against our taxes, if they buy
>    any service, transit, hardware or software that doesn’t work today in
>    dual-stack and tomorrow as IPv6-only.
>    2. Next future: Governments have the obligation to protect consumers.
>    Example: When DTV is setup in every country, governments ban after some
>    time, importing/manufacturing/selling products that don’t support DTV,
>    otherwise consumers are cheated. At some point, in countries where the
>    industry/retails are not moving by themselves, some governments may need to
>    take similar decisions with IPv4-only products.
>
>
>
> Regards,
>
> Jordi
>
> @jordipalet
>
>
>
>
>
>
>
> El 20/2/20 13:30, "ietf en nombre de Victor Kuarsingh" <
> [email-masked] en nombre de [email-masked]> escribió:
>
>
>
> turns out to be a fundamental market problem..
>
>
>
> regards,
>
>
>
> Victor K
>
>
>
>
>
> > On 20 Feb 2020, at 11:32, Khaled Omar <[email-masked]
> <[email-masked]>> wrote:
> >
> if you look to many countries they have even surpassed the 50% or so..
> >
> > Regards,
> > Jordi
> > @jordipalet
> >
> >
> >
> en nombre de [email-masked] <[email-masked]>>
> escribió:
> >

---

From: Khaled Omar <[email-masked]>
Date: Thu, 20 Feb 2020 03:24:06 +0000

I understand, but leaving things going worse is not acceptable, internet users will blame you when they feel the division on the internet, and you will only blame yourself for not keeping trying, at least, let people know you tried to find a solution that doesn't requires their involvement even if it will not be used, let them ask and find the best that suits them with less efforts, but remember, it will be late.

Sent: Thursday, February 20, 2020 5:06:14 AM

Khaled,

I am certainly not intending to stop anyone from inventing anything or working on things.  I am just sharing an opinion based on experience.

We have historical experience that seems to indicate that a one-size-fits-all approach is difficult for a number of technical and operational reasons.  The Internet is a highly distributed system where each network operator gets to decide for themselves what they need and want.  I am also yet to see any two networks which manifest identical requirements.  So any attempt to convince everyone to adopt an all-in-one solution will likely be difficult to apply to all uses cases or the general use case.

There has been a long list of transition technologies developed, none of which fit all uses cases which is likely ok.    The largest barrier I see at this point, which will apply to those slow to adopt IPv6, and have anyone who has already enabled a transition technology, is cost (economics).  Any solution which requires people to re-invest money (even if a new solution is better) will likely be met with opposition given competing requirements and opportunity cost.

To exemplify, if I was an operator who enabled transition technology X which operated moderately well.  If presented with the option to enable a new technology Y, which is definitely better, but would bare significant deployment time and costs, I would likely not action it since I would be giving up an opportunity to spend that time and money on other functions.

For those whom have not enabled IPv6 yet, there may be some economic or other practical reason to overcome to get them to adopt a solution.

regards,

Victor K

On Wed, Feb 19, 2020 at 9:45 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
What i meant is that if you have nothing to add then don't stop what others are trying to do, keep working on what you are trying to do even if it didn't work for long time but you believe on it, but as long as our one goal is to find a solution then the end result will be good for all ones leaving the stoppers aside.

________________________________
From: Victor Kuarsingh <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, February 20, 2020 4:29:43 AM
To: Mark Andrews <[email-masked]<mailto:[email-masked]>>
Cc: Khaled Omar <[email-masked]<mailto:[email-masked]>>; IETF Rinse Repeat <[email-masked]<mailto:[email-masked]>>; JORDI PALET MARTINEZ <jordi.palet=[email-masked]<mailto:[email-masked]>>
Subject: Re: ipv4 and ipv6 Coexistence.

regards,

Victor K

We have CGN + IPv6.

Mark

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 20 Feb 2020 14:59:34 +1100

Hi Victor,

Of course, I see your points and I’m not saying that IETF has nothing to do with that, neither that it applies the same to every possible country case. It was just part of this discussion.

I’ve worked for a few governments, on this, with more or less success depending on the case, and most of the time is a matter of the right schedule, not saying the existing services should support IPv6 tomorrow, but “new” or “updated” services should do it in a given timing. This was my point 1.

Regarding 2, I think if a country ban importing or selling IPv4-only products, with a determined time scale (to be studied case by case), is perfectly valid and not impacting global Internet at all. Existing IPv4 services can remain. Products in stock can be sold during “n” months, not afterwards.

Example, SmartTVs without IPv6 could be sold during 6 additional months, not imported anymore after 3 months, etc.

I only see a disadvantage like “gaming console x” can’t be sold anymore in country “x” after 6 months. And this is a real case, which a big name, we all know. Sorry, react if you want to continue being sold in all the countries.

Another extreme case. Accounting app “z”, still doesn’t support IPv6. I’m sure if they have not started already to resolve the problem, they will rush in case they expect to have new customers in that country. Otherwise competitors win.

Regards,

Jordi

@jordipalet

El 20/2/20 14:19, "ietf en nombre de Victor Kuarsingh" <[email-masked] en nombre de [email-masked]> escribió:

Jordi,

For your item 1, I guess that could work, but in the case where there is a service which may be absolutely needed, and if not available on IPv6, would a given government be willing to cause harm in pursuit of a preference or long term agenda?   

For item 2, good points except - however in the case of iPv4 and IPv6 as it applies to global networking,  it may be more nuanced than, DTV and therefore not as clear cut. 

Please note, I am a firm supporter of IPv6 deployments and have led deployment initiatives in multiple networks.  I am definitely in the choir, but I also look at things from a practical angle.  

regards,

Victor K

On Wed, Feb 19, 2020 at 9:49 PM JORDI PALET MARTINEZ <jordi.palet=[email-masked]> wrote:

Regards,

Jordi

@jordipalet

regards,

Victor K

support IPv6..

We have CGN + IPv6.

Mark

> http://www.theipv6company..com
> The IPv6 Company
>

---

From: Randy Bush <[email-masked]>
Date: Fri, 21 Feb 2020 15:25:47 +0900

> Is there any "new" solution that became a standard or in the standard
> coexist and communicate to each other's in a peaceful way without any
> complications?

no.  ipv6 is still essentially incompatible on the wire with ipv4.

have you tried ds-lite?  you'll love it because you get to fork lift all
cpe and run cgn too!  :)

> nobody started using IPv6

expect 312 messages about how wonderfully ipv6 is deploying.  especially
as it has only been out for two years. :)

randy

---

From: Khaled Omar <[email-masked]>
Date: Fri, 21 Feb 2020 11:36:35 +0000

>> no. ipv6 is still essentially incompatible on the wire with ipv4.

With simple addition this can happen

>> have you tried ds-lite? you'll love it because you get to fork lift all cpe and run cgn too! :)

It uses somethin near IPv10, IP-in-IP, but not end-to-end.

>> expect 312 messages about how wonderfully ipv6 is deploying. especially as it has only been out for two years. :)

We had enough of that :-)

Khaled Omar

________________________________
From: Randy Bush <[email-masked]>
Sent: Friday, February 21, 2020 8:25:47 AM
To: Khaled Omar <[email-masked]>
Cc: IETF Rinse Repeat <[email-masked]>
Subject: Re: ipv4 and ipv6 Coexistence.

randy

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 19 Feb 2020 17:50:09 +0000

IETF moved to BCC.

This kind of thing -- IPv6 isn't getting deployed, we need a new solution -- comes up periodically.  So far nobody has presented a compelling case that the "new thing" will get deployed faster than the "existing thing"

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 24 Feb 2020 23:27:15 +0100

[Bcc [email-masked], Cc: [email-masked]]

Mark: 

Funny to see how yours is the first actual answer to at least how i read
Khaleds question. I would summarize what you said with:

https://en.wikipedia.org/wiki/IPv6_transition_mechanism

(14 standardized plus a lot more. Aka: thank you, but we have enough)

Most everybody else jumps to the growth of the IPv6 Internet, which
to me is just the visible tip of the iceberg of overall IPv4 and IPv6
deployments. I think the picture changes quite a bit if we look at the
whole iceberg. 

In private / controlled networks, the choices are not only IPv4 vs.
IPv6 or their interop, but also (SR-)MPLS and even more so L2 ethernet 
switching.

For all intent and purpose, Internet IPv6 vs. Internet IPv4 could soon
be software-only overlay virtual networks whereas the actual
terrabit accelerated hardware forwarding plane of future networks
maybe something else. 4G/5G "core" "network" already are such
overlay networks. 

[Rant]
I am not sure if the question, as constrained as  Khaled is asking
it will really help us to improve what we should do in the future. But
neither is the defensive reaction of IPv6 evangelists pointing at the
growth curve of the IPv6 Internet as the only relevant metric to the
success and benefits of IPv6.

I am primarily concerned that we did manage to recognize we needed
disruptive innovartion in the 90th, when we came up with IPv6, but
now the predominant religion seems to be being stuck in small
incremental enhancements of that 25 year old architecture, especially
because its bible (RFC8200) did only think of the IPv6 Internet use-case
requirements, but not those of private/controlled networks.
[/Rant]

Cheer
    Toerless

On Thu, Feb 20, 2020 at 12:26:28PM +1100, Mark Andrews wrote:
> We have public IPv4 + 6rd for ISPs where the access network doesn???t
> support IPv6.
> 
> We have CGN + 6RD + 100.64/10 for ISPs where the access network doesn???t
> We have DS-Lite, MAP-E, MAP-T, NAT64 ??? providing IPV4AAS for when the ISP
> devices (CPE routers, TV???s, game boxes, etc.).
> 
> Mark
> 
> > ???El 20/2/20 5:38, "ietf en nombre de Khaled Omar" <[email-masked] en nombre de [email-masked]> escribió:
> >

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 26 Feb 2020 09:35:27 +0000

> On 20 Feb 2020, at 02:18, John C Klensin <[email-masked]> wrote:
> 

Although ISO 8473 would have been a better platform than the IPv6 as we eventually settled on.

- It could support multiple address types, of variable length, which SR is teaching us that we need.
- It had a better checksum than that available in the transport layer, and would have meant that we could have avoided compulsory UDP c/s
- The protocol suite supported connection oriented which MPLS taught us that we needed.

Before my time, but was IPv4 designed before or after the Internet was released from the government to the public?

Much of the success of the mobile phone industry arrises through standardisation, and if you read Stephen Temple’s book you understand the influence that the regulator (using spectrum availability as a leaver) had on forcing harmonisation.

So maybe governments do not always get it wrong.

- Stewart

---

From: tom petch <[email-masked]>
Date: Wed, 26 Feb 2020 09:56:44 +0000

> Before my time, but was IPv4 designed before or after the Internet was released from the government to the public?

Way before, if I understand your question aright.

I see the start of the public internet as April, 1995, when commercial 
activity, over and above applying for NSF grants, was permitted.  This 
enabled ISPs as we now know them.

IPv4?  I date to RFC791, September 1981 although much of the technology 
was fixed before then.

Tom Petch

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 26 Feb 2020 10:28:26 +0000

> On 26 Feb 2020, at 09:56, tom petch <[email-masked]> wrote:
> 
> 
> I see the start of the public internet as April, 1995, when commercial activity, over and above applying for NSF grants, was permitted.  This enabled ISPs as we now know them.
> 
> IPv4?  I date to RFC791, September 1981 although much of the technology was fixed before then.
> 
> Tom Petch
> 

My question was semi-rhetorical because I did not remember the exact timing, but I think this conforms my suspicion that the key technical decisions behind the Internet were made whilst it was under government control.

- Stewart

---

From: tom petch <[email-masked]>
Date: Wed, 26 Feb 2020 11:00:25 +0000

> My question was semi-rhetorical because I did not remember the exact timing, but I think this conforms my suspicion that the key technical decisions behind the Internet were made whilst it was unde…

Stewart

I do not know.  The internet was under the control of the NSF at that 
time and I was a detached observer, promoting a rival technogy.  Yes the 
US government was in ultimate control but reading the RFC, which start 
in April 1969, and seeing posts from the authors of those days about 
their work, my impression always was of considerable freedom even when 
the US government was in charge.  Also, a key date, which I cannot 
recall, was the decision of the US DoD to promote TCP/IP as an interim 
solution while awaiting the arrival of OSI, a decision that, for me, 
gave TCP/IP the impetus to succeed which otherwise it might never have 
got.  As I recall, that led to the government funding of the BSD 4 
implementation which I see as critical to the protocol taking off.

Tom Petch

---

From: Fernando Gont <[email-masked]>
Date: Wed, 26 Feb 2020 10:03:16 -0300

On 20/2/20 00:59, JORDI PALET MARTINEZ wrote:
> Hi Victor,
> 
> Of course, I see your points and I’m not saying that IETF has nothing to 
> do with that, neither that it applies the same to every possible country 
> case. It was just part of this discussion.
> 
> I’ve worked for a few governments, on this, with more or less success 
> depending on the case, and most of the time is a matter of the right 
> schedule, not saying the existing services should support IPv6 tomorrow, 
> but “new” or “updated” services should do it in a given timing. This was 
> my point 1.
> 
> Regarding 2, I think if a country ban importing or selling IPv4-only 
> products, with a determined time scale (to be studied case by case), is 
> perfectly valid and not impacting global Internet at all. Existing IPv4 
> services can remain. Products in stock can be sold during “n” months, 
> not afterwards.
> 
> Example, SmartTVs without IPv6 could be sold during 6 additional months, 
> not imported anymore after 3 months, etc.

Have e.g. 3G-only mobile phones been banned? Or do users *opt* not to 
buy such phones for a reason? (there might be an implicit message in the 
possible answer to this question).

Thanks,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 26 Feb 2020 13:22:22 +0000

> On 26 Feb 2020, at 13:03, Fernando Gont <[email-masked]> wrote:
> 
> Have e.g. 3G-only mobile phones been banned? Or do users *opt* not to buy such phones for a reason? (there might be an implicit message in the possible answer to this question).
> 

People buy 2G only devices and getting them out of the network and recovering the spectrum is a problem.

Stewart

---

From: Fernando Gont <[email-masked]>
Date: Wed, 26 Feb 2020 11:00:58 -0300

> People buy 2G only devices and getting them out of the network and recovering the spectrum is a problem.

I normally buy mobile phones with at least two considerations:

* I get the service I expect (e.g., fast data rate)

* It works where I mean to use it.

That's why I buy 4G-enabled, but do double-check the frequency bands, 
since otherwise they just wouldn't work.

Similarly, nobody banned, AFAIK, cassette tapes or floppy disks....

---

From: "Carlos M. Martinez" <[email-masked]>
Date: Wed, 26 Feb 2020 14:20:06 -0300

It’d be strange to find such phones for sale. Not saying that there 
aren’t any though.

Automatic / embedded devices are a different matter though.

On 26 Feb 2020, at 10:03, Fernando Gont wrote:

> buy such phones for a reason? (there might be an implicit message in 
> the possible answer to this question).

---

From: Fernando Gont <[email-masked]>
Date: Wed, 26 Feb 2020 14:28:12 -0300

>> the possible answer to this question).

The point is exactly that: nobody had to ban them for them to go away.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Wed, 26 Feb 2020 20:04:38 +0100

This happens quite often.

If you have an analog TV and DTV is deployed, at some point you can't use anymore the analog TV unless you "add" a "converter". This was done with the government mandate.

I recall a Spanish operator that was asking the customers of old "rotary-dial phones" to move to DTMF ones. Customers that don't want to do that, either buy an expensive "adapter" or get their contract canceled, instead of renewed. This needed the government mandate.

I'm sure this happened in many countries, and the "mandate" have a very specific plan, with timing for every phase, such as "no more manufacturing in the country allowed", "no more importing to the country allowed", "no more sales of old stocks allowed".

I perfectly see that at some point, operators can choose to do the same with IPv4: you get a converter (an RFC8585 compatible router) from the operator or from the retail store, or your contract is not renovated.

This is perfectly valid also if at some point governments in their duty to protect consumers, take the necessary steps.

Regards,
Jordi
@jordipalet

El 26/2/20 14:12, "ietf en nombre de Fernando Gont" <[email-masked] en nombre de [email-masked]> escribió:

    
    Thanks,

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 27 Feb 2020 11:29:05 +1300

On 26-Feb-20 23:28, Stewart Bryant wrote:
> 
> 
>> On 26 Feb 2020, at 09:56, tom petch <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>

It was never really a government project; it was a DARPA-funded R&D project. And there are various good books about the early days. I happen to like "Where wizards stay up late" by Katie Hafner and Matthew Lyon, but there are others.

The TCP/IP split and IPv4 really date from about 1977, with the cutover date being 1/1/1983. I'm sure the spec was available before RFC791. It was still DARPA-funded then, of course.

>> I see the start of the public internet as April, 1995, when commercial activity, over and above applying for NSF grants, was permitted.  This enabled ISPs as we now know them.

There were commercial operators before then, including outside the USA. Also, .com originated before 1995, see RFC1591.

> My question was semi-rhetorical because I did not remember the exact timing, but I think this conforms my suspicion that the key technical decisions behind the Internet were made whilst it was unde…

IMHO it was never under government control; it was R&D paid for by the US government, which is very different.

There is a list for this, and it's not an IETF list:
Internet-history mailing list
[email-masked]
https://elists.isoc.org/mailman/listinfo/internet-history

Regards
   Brian

---

From: George Michaelson <[email-masked]>
Date: Thu, 27 Feb 2020 08:46:55 +1000

There is control, and there is soft control. Soft control we live with
all the time. the funder can decline to continue funding. The
facilities can stop being free. Visa assistance, motivations can move.

I think early Internet had people there from government armed forces
computing/networking contexts. Why do I think this? Because the UK end
of the ARPA/SATNET link split, with a feed to the MOD. And, because
Jon Crowcroft regailed me with tales of a spookish man with medal
ribbons out to the left of his chest, pontificating at the various
meetings held at SRI. A large tranche of the UK IPv4 address space
vested with the MOD.

I think we had soft control. Not hard. The money tap was known and
understood. Some things were done with nudges to people who otherwise
might not have opened doors, or taps. Nobody I know had wired down
contract issues enforcing military/government goals, but directing
traffic to the UK defence department as well as the academic
community, and to government telecommunications research laboratories
(Estriel, was pre-privatization BT work as I recall and there was
still a regulated mandate on communications trunks and bearers which
demands the GPO and BT agreed to do things to you, that were not
scheduled communications)

SATNET was far from ordinary. You don't just rock up and get a feed
into a satellite network.

Soft control is ubiquitous. Computer Aided Instruction took funds from
NATO, and ran workshops all through Europe in the 70s and 80s. Nobody
doing HCI in those times was unaware of interest from these people.
The 5th Generation Alvey project had specific drives to use GEC in
projects, even when the machine was a classic 'halt and catch fire'
design.

---

From: Christian Huitema <[email-masked]>
Date: Wed, 26 Feb 2020 14:56:10 -0800

On 2/26/2020 9:28 AM, Fernando Gont wrote:
>>> Have e.g. 3G-only mobile phones been banned? Or do users *opt* not
>>> to buy such phones for a reason? (there might be an implicit message
>>> in the possible answer to this question).
>>
>

Uh? Buying 3G phones is not that hard. See for example this offer of
"simple 3G phones for seniors":
https://www.amazon.com/Mosthink-Unlocked-Compatible-Charging-Included/dp/B07MMSFQN4.

Without going into the details of the phone market, this is just an
example of the "long tail" phenomenon that affects the evolution of
networks. Yes, when a new technology becomes popular, the most popular
devices will get updated quickly. But beware the long tail, all the
devices that still want to keep using the old technology for a variety
of reasons. Each of these devices may have a minuscule market share, but
taken in aggregate they make for a significant volume. The transition
plans to the new technology can never just ignore them.

-- Christian Huitema

---

From: Joseph Touch <[email-masked]>
Date: Wed, 26 Feb 2020 15:14:34 -0800

> On Feb 26, 2020, at 2:29 PM, Brian E Carpenter <[email-masked]> wrote:
> 
>>> On 26 Feb 2020, at 09:56, tom petch <[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>>> 
>>> 
> It was never really a government project; it was a DARPA-funded R&D project. 

DARPA *is* US Government (DOD in particular). There was also early support from the NSF for links and some research, but that too is US Gov. I.e., although it wasn’t developed by govt employees, it was largely govt money that made it work.

There was a prohibition on conducting business on the Internet until around 1989 or so, largely because of the gov’t paying for the resources up to that point AFAIR. I’m guessing that’s what Stewart means by “releasing it” to the public...

Joe

---

From: Fernando Gont <[email-masked]>
Date: Wed, 26 Feb 2020 20:13:47 -0300

> plans to the new technology can never just ignore them.

My argument was: make the new technology attractive for people to adopt 
it over the legacy one, and you won't need to ban anything.

And if you do feel you need to buy anything, there's probably an 
implicit message. (As with the phones: easier to use, battery lasts 
forever when compared to new ones, I can drop the phone and it will not 
break badly).

If folks don't stop using them, there's probably a reason why (whatever 
that is).

---

From: Michael StJohns <[email-masked]>
Date: Wed, 26 Feb 2020 18:15:18 -0500

> There were commercial operators before then, including outside the USA. Also, .com originated before 1995, see RFC1591.

The two (.com and commercial operators) aren't really connected.   From 
83 to about the early 90s, access to the internet  was permitted to 
commercial companies only under the AUP - which spelled out acceptable 
use and explicitly prohibited commercial use.  A number of companies 
involved in research and support of the internet (e.g. BBN who was 
BBN.com from about '87 or so ), were permitted access to support 
government programs, but not allowed to use it for their own 
purposes.    NSF's standing up of the various interconnect points, the 
NSFNet,  and a change in the routing to BGP allowed a commercial 
internet to rise up at the edges and various nationally based internet 
providers to interconnect.

(https://www.nsf.gov/od/lpa/nsf50/nsfoutreach/htm/n50_z2/pages_z3/28_pg.htm 
claims that the AUP was eased in '91).

> IMHO it was never under government control; it was R&D paid for by the US government, which is very different.

Nope - it was under government control.  I remember approving at least a 
few interconnections during my time at the DDN program office (85-89), 
including a discussion with Vint that ended up getting MCIMail to be 
able to transit the internet.  I think Stewart is more correct than you.

Mike

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 27 Feb 2020 13:58:04 +1300

Hi Mike,

> claims that the AUP was eased in '91).

Yes, the NSFnet AUP was constantly a work in progress, and pretty much every network
in those days had their own AUP in some shape or form.
 
> able to transit the internet.  I think Stewart is more correct than you.

Well, it's semantics. I took him to be talking about protocol design, which
is where this thread started. Connectivity was certainly controlled by whoever
was paying the bills, such as you! By me and my boss, as far as transit through
CERN went. And so on.

Regards
    Brian

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 27 Feb 2020 08:43:42 -0500

While technically commercial use of the Internet for non-governmental 
purposes was not supported in the 1980s, in practice it occurred.  From 
the mid-80s, I worked for a company that got Internet access through 
MRNet, used that for commercial interaction with the government, and 
also used it for other commercial and non-commercial purposes.

I think for the purposes of Stewart's original comment, the difference 
someone drew between soft and hard control is important.  The 
government9s) clearly had soft control over the Internet for much of 
that time.  (It would be pretty foolish for me to argue with Mike over 
that.)  At the same time, the ISO OSI example was a case where the 
government (and then other groups) tried to exercise harder control. And 
it failed.  Which aligns well with how hard it has been to get folks to 
adopt IPv6, and yet we are making progress.

Yours,
Joel

On 2/26/2020 6:15 PM, Michael StJohns wrote:
>>>>> Before my time, but was IPv4 designed before or after the Internet 
>>>>> was released from the government to the public?
>> It was never really a government project; it was a DARPA-funded R&D 
>> project. And there are various good books about the early days. I 
>> happen to like "Where wizards stay up late" by Katie Hafner and 
>> Matthew Lyon, but there are others.
>>
>> The TCP/IP split and IPv4 really date from about 1977, with the 
>> cutover date being 1/1/1983. I'm sure the spec was available before 
>> RFC791. It was still DARPA-funded then, of course.
>>
>>>> I see the start of the public internet as April, 1995, when 
>>>> commercial activity, over and above applying for NSF grants, was 
>>>> permitted.  This enabled ISPs as we now know them.
>> There were commercial operators before then, including outside the 
>> USA. Also, .com originated before 1995, see RFC1591.
> 
>>> My question was semi-rhetorical because I did not remember the exact 
>>> timing, but I think this conforms my suspicion that the key technical 
>>> decisions behind the Internet were made whilst it was under 
>>> government control.

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Thu, 27 Feb 2020 18:56:40 -0500

> adopt IPv6, and yet we are making progress.

If you work on communications technologies, you are going to receive the
attention of people who make it their business to observe communications.
That is simply a fact of life.

But what folk don't seem to appreciate is that it is people rather than
institutions that do things. Institutions don't have agendas, the people
working for them do. And so it is usually a mistake to attribute intent to
the alphabet soup of three letter agencies. One hand rarely knows what the
other is doing.

Times change and so do agendas. The concerns of the cold war are not the
concerns of today. Sometimes parts of the TLA agenda coincides with our
agenda and sometimes parts are opposed and most often both are the case at
the same time.

I have been pushing the use of Threshold cryptography for several years
now. Some parts of the federal govt. oppose it because the last thing they
want is better end-to-end crypto and some parts are pushing for adoption
because it is the tool we need to address insider threat.

---

From: John C Klensin <[email-masked]>
Date: Sat, 29 Feb 2020 12:55:38 -0500

It seems to me that this kind of assertion and discussion
rapidly turns from hair-splitting ("control" -> "soft control"
and "hard control") into advanced hair-splitting.  I question
how much difference this make several decades later, expect to
those who will be trying to sort out the history then.  And I
don't envy them their jobs: In the 1969-1971 period, there were
several people around who were convinced that the ARPANET (and
several other ARPA projects including the one that was funding
my work) were ultimately created for and run by the CIA with the
intention of subverting peasant movements.  To say that, with
the possible exception of the most paranoid, none of us who were
closer to the situation saw any signs of that, but those who
were that paranoid just claimed we were deluded.  It is going to
be hard for historians to sort this out especially those who
come into the work with strong hypotheses: I was interviewed
within the last year by someone who wanted to know what peasant
movements (other than Vietnamese peasants) we had tried to
subvert and who, reassured me that, after 50 years, it would be
ok to tell him.  He found "none" fairly unsatisfying.

Two things to add to Mike's more authoritative but slightly
later perspective:

(1) I was participating in a few standards efforts in the 1970s
(and later) which were definitely civilian and public but in
which DoD had an interest and therefore was a member of, and
sent people, to the relevant expert-level meetings.  Sometimes
the people they sent were civilian DoD employees, sometimes
military, occasionally (but, in my experience, rarely) they were
contractors: as far as any of us could tell from the outside,
the choices were made on the basis of what would be serve DoD's
needs, not a broad policy.  When people who were active-duty
military came to those meetings, some came in uniform and others
didn't.  When asked about the difference, we were told that it
was up to the individual commanding officer and preferences
differed.  

Conclusion: That there were people in uniform seen around a
research project doesn't prove much of anything, unless maybe,
they were in line management roles.

(2)  When ARPA was created, its mission, as the name implied,
was "Advanced" research.  Sometime in the mid-60s, I was told
again later by people who had been members of the Defense
Science Board, that "Advanced" was chosen partially to avoid
debates about the boundary between "Pure" and "Applied"
research.  Licklider was very clear, and indicated that at least
the early generations of ARPA senior management were clear, that
"advanced" implied work that might not succeed (he even
suggested on occasion that, if more than two or three projects
out of five were successful in terms of what their advocates
expected, ARPA wasn't pushing the "advanced research" concept
hard enough.   And a large number of ARPA grants/contracts were
made on the basis of rather short letter proposals with the
(quite explicit) assumption that giving money to bright people
with interesting ideas had better odds of producing useful (and
"advanced") results than situations in which exactly where thing
would lead could be spelled out in detail in advance.  Yes,
there was an expectation that funded work, if successful, might
ultimately prove useful to the military in some way, but that
was much different than research with clear (or exclusive)
military applications.

Then the Vietnam war came along and parts of the US Congress got
very nervous about the boundary between military and civilian
work.  That resulted in something call the Mansfield Amendment
which, summarized at a very high level, forbad DoD from engaging
in any work that was not directly linked to military needs or
applications.  One consequence was the first change in ARPA's to
DARPA.  The other was what looked, at least to some of us on the
outside and trying to get work done, like a scramble to identify
the potential military relevancy of planned and existing
research activities.   If there were any substantive changes to
research methods or objectives at that time, I didn't see them,
although I did see what looked like some shifts in funding for
new projects and some encouragement to write appropriate words
into renewal proposals for existing ones.

Conclusion: Trying to figure out how much military involvement
there was and how "hard" or "soft" the oversight is going to be
hard and not particularly productive.  There may be answers to
_very_ specific questions but, in general, most of those doing
the work were not paying much attention to the broader questions
at the time and that is probably more important to any issues
about degree of military influence than any of the examples that
can be passed back and forth.

best, 
  john

--On Thursday, February 27, 2020 08:43 -0500 "Joel M. Halpern"
<[email-masked]> wrote:

> While technically commercial use of the Internet for
> non-governmental purposes was not supported in the 1980s, in
> practice it occurred.  From the mid-80s, I worked for a
> company that got Internet access through MRNet, used that for
> commercial interaction with the government, and also used it
> for other commercial and non-commercial purposes.
> 
> I think for the purposes of Stewart's original comment, the
> difference someone drew between soft and hard control is
> important.  The government9s) clearly had soft control over
> the Internet for much of that time.  (It would be pretty
> foolish for me to argue with Mike over that.)  At the same
> time, the ISO OSI example was a case where the government (and
> then other groups) tried to exercise harder control. And it
> failed.  Which aligns well with how hard it has been to get
> folks to adopt IPv6, and yet we are making progress.